﻿
.pageSizeNumber {
    font-weight: 600;
    border-radius: 5px;
    width: 65px;
    height: 40px;
    text-align: center;
    margin: 0 7px;
    position: relative;
    float: left;
    padding: 0;
    margin-left: -1px;
    line-height: 1.428571429;
    text-decoration: none;
    border: 1px solid #dddddd;
    font-size: 16px;
    /*background-color: #F6465D;*/
    color: black !important;
    background-image: linear-gradient(rgb(248, 209, 47) 0%, rgb(240, 185, 11) 100%);
}

    .pageSizeNumber:hover, .pageSizeNumber:focus {
        background-image: linear-gradient(rgb(2, 192, 118) 0%, rgb(2, 192, 118) 100%);
    }

.pagination {
    display: inline-block;
    padding-left: 0;
    margin: 15px 0 10px 0;
    border-radius: 5px;
    font-size: 16px;
}

    .pagination > li {
        display: inline;
    }

        .pagination > li > a, .pagination > li > span {
            /*color: #000 !important;*/
            font-weight: 600;
            border-radius: 5px;
            width: 50px;
            height: 40px;
            text-align: center;
            /*line-height: 22px;*/
            margin: 0 7px;
            position: relative;
            float: left;
            padding: 5px 0 0 0;
            margin-left: -1px;
            line-height: 1.428571429;
            text-decoration: none;
            background-color: #dc143c;
            border: 1px solid #dddddd;
            /*color:black !important;*/
            /*background-image:linear-gradient(rgb(248, 209, 47) 0%, rgb(240, 185, 11) 100%);*/
        }

        .pagination > li:first-child > a,
        .pagination > li:first-child > span {
            margin-left: 0;
            border-bottom-left-radius: 4px;
            border-top-left-radius: 4px;
        }

        .pagination > li:last-child > a,
        .pagination > li:last-child > span {
            border-top-right-radius: 4px;
            border-bottom-right-radius: 4px;
        }

        .pagination > li > a:hover,
        .pagination > li > span:hover,
        .pagination > li > a:focus,
        .pagination > li > span:focus {
            background-color: /*#eeeeee*/ #22B355;
        }

    .pagination > .active > a,
    .pagination > .active > span,
    .pagination > .active > a:hover,
    .pagination > .active > span:hover,
    .pagination > .active > a:focus,
    .pagination > .active > span:focus {
        z-index: 2;
        color: #ffffff;
        cursor: default;
        background-color: /*#428bca*/ #22B355;
        border-color: #428bca;
    }

    .pagination > .disabled > span,
    .pagination > .disabled > a,
    .pagination > .disabled > a:hover,
    .pagination > .disabled > a:focus {
        display: none;
        /*color: #999999;
  cursor: not-allowed;
  background-color: #ffffff;
  border-color: #dddddd;*/
    }

.pagination-lg > li > a, .pagination-lg > li > span {
    padding: 10px 16px;
    font-size: 18px;
}

.pagination-lg > li:first-child > a, .pagination-lg > li:first-child > span {
    border-bottom-left-radius: 6px;
    border-top-left-radius: 6px;
}

.pagination-lg > li:last-child > a, .pagination-lg > li:last-child > span {
    border-top-right-radius: 6px;
    border-bottom-right-radius: 6px;
}

.pagination-sm > li > a, .pagination-sm > li > span {
    padding: 5px 10px;
    font-size: 12px;
}

.pagination-sm > li:first-child > a, .pagination-sm > li:first-child > span {
    border-bottom-left-radius: 3px;
    border-top-left-radius: 3px;
}

.pagination-sm > li:last-child > a, .pagination-sm > li:last-child > span {
    border-top-right-radius: 3px;
    border-bottom-right-radius: 3px;
}

.pager {
    padding-left: 0;
    margin: 20px 0;
    text-align: center;
    list-style: none;
}

    .pager:before, .pager:after {
        display: table;
        content: " ";
    }

    .pager:after {
        clear: both;
    }

    .pager:before, .pager:after {
        display: table;
        content: " ";
    }

    .pager:after {
        clear: both;
    }

    .pager li {
        display: inline;
    }

        .pager li > a, .pager li > span {
            display: inline-block;
            padding: 5px 14px;
            background-color: #ffffff;
            border: 1px solid #dddddd;
            border-radius: 15px;
        }

            .pager li > a:hover, .pager li > a:focus {
                text-decoration: none;
                background-color: #eeeeee;
            }

    .pager .next > a, .pager .next > span {
        float: right;
    }

    .pager .previous > a, .pager .previous > span {
        float: left;
    }

    .pager .disabled > a, .pager .disabled > a:hover, .pager .disabled > a:focus,
    .pager .disabled > span {
        color: #999999;
        cursor: not-allowed;
        background-color: #ffffff;
    }
